Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IBookDescription

All Superinterfaces
  INavigableDescription, IOfferedEntity, IPlaceableDescription, Serializable

    public interface IBookDescription

extends INavigableDescription

Book description.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getBookHandle()` Returns a unqique handle for the book.
`List<IBookDescription>` | `getBooks()` Returns an immutable list of books contained in this book.
`String` | `getDefaultPage()` Returns the name/label of the default page.
`String` | `getMenu()` Returns the menu of the book
`List<IPageDescription>` | `getPages()` Returns an immutable list of pages contained in this book.

Methods inherited from interface com.bea.wsrp.model.INavigableDescription
`getDescription, getOrientation, isHidden, isPublic`

Methods inherited from interface com.bea.wsrp.model.IPlaceableDescription
`getAlignment, getPlaceholder, getPlacement, getPosition, getTheme, isDefault`

Methods inherited from interface com.bea.wsrp.model.IOfferedEntity
`getHandle, getTitle`

Method Detail

### getMenu

    String getMenu()

  Returns the menu of the book

  Returns
    menu

### getPages

    List<IPageDescription> getPages()

  Returns an immutable list of pages contained in this book.

  Returns
    pages

### getBooks

    List<IBookDescription> getBooks()

  Returns an immutable list of books contained in this book.

  Returns
    books

### getDefaultPage

    String getDefaultPage()

  Returns the name/label of the default page.

  Returns
    default page

### getBookHandle

    String getBookHandle()

  Returns a unqique handle for the book.

  Returns
    handle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved